<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>Board</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Board";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":6,"i2":6,"i3":10,"i4":6,"i5":6,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":9,"i14":9,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":6,"i31":6,"i32":6,"i33":6,"i34":10,"i35":6,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Board.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/rowlo/tridchess/model/Board.html" target="_top">Frames</a></li>
<li><a href="Board.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.rowlo.tridchess.model</div>
<h2 title="Class Board" class="title">Class Board</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>de.rowlo.tridchess.model.Board</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../de/rowlo/tridchess/model/trid/TriDBoard.html" title="class in de.rowlo.tridchess.model.trid">TriDBoard</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">Board</span>
extends java.lang.Object</pre>
<div class="block">Abstract base class for chess boards. Can also be implemented by normal chess
 boards.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robert Wloch</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#BISHOP_BLACK">BISHOP_BLACK</a></span></code>
<div class="block">Figure ID.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#BISHOP_WHITE">BISHOP_WHITE</a></span></code>
<div class="block">Figure ID.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#CASTLE_BLACK">CASTLE_BLACK</a></span></code>
<div class="block">Figure ID.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#CASTLE_WHITE">CASTLE_WHITE</a></span></code>
<div class="block">Figure ID.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#figureImageFilenames">figureImageFilenames</a></span></code>
<div class="block">Figure types' image file names.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#figureTypes">figureTypes</a></span></code>
<div class="block">Figure types as array.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#KING_BLACK">KING_BLACK</a></span></code>
<div class="block">Figure ID.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#KING_WHITE">KING_WHITE</a></span></code>
<div class="block">Figure ID.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#KNIGHT_BLACK">KNIGHT_BLACK</a></span></code>
<div class="block">Figure ID.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#KNIGHT_WHITE">KNIGHT_WHITE</a></span></code>
<div class="block">Figure ID.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#PAWN_BLACK">PAWN_BLACK</a></span></code>
<div class="block">Figure ID.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#PAWN_WHITE">PAWN_WHITE</a></span></code>
<div class="block">Figure ID.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#QUEEN_BLACK">QUEEN_BLACK</a></span></code>
<div class="block">Figure ID.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#QUEEN_WHITE">QUEEN_WHITE</a></span></code>
<div class="block">Figure ID.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#Board--">Board</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#clearEverything--">clearEverything</a></span>()</code>
<div class="block">Clears all figure lists and fields from figures.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>abstract java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#createBoardFigures--">createBoardFigures</a></span>()</code>
<div class="block">
 Creates a mapping of field names to figures for initial figure placement
 on normal chess boards.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#displayHelpMessageBox-javax.swing.JFrame-">displayHelpMessageBox</a></span>(javax.swing.JFrame&nbsp;frame)</code>
<div class="block">Display a message box or something similar to provide help information.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#generalInit--">generalInit</a></span>()</code>
<div class="block">Must be invoked after the board's view received it's parent.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>abstract java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#get2DName-int:A-">get2DName</a></span>(int[]&nbsp;xy)</code>
<div class="block">Returns a Field name for the given board position.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>abstract java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#get3DName-int:A-">get3DName</a></span>(int[]&nbsp;xyz)</code>
<div class="block">Returns a 3D Field name for the given board position.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">FiguresListView</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getAttackedFiguresView--">getAttackedFiguresView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getBlackAttackedFiguresList--">getBlackAttackedFiguresList</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getBlackFiguresList--">getBlackFiguresList</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getBlackKing--">getBlackKing</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.String,<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getFieldsByName--">getFieldsByName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getFieldsList--">getFieldsList</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getFieldUnderMouseDrag--">getFieldUnderMouseDrag</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getFigureImageFilenames--">getFigureImageFilenames</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>static int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getFigureTypes--">getFigureTypes</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getGame--">getGame</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getGridFields--">getGridFields</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getLastFieldUnderMouse--">getLastFieldUnderMouse</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getLastPinUnderMouse--">getLastPinUnderMouse</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>javax.swing.JComponent</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getLogJComponent--">getLogJComponent</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/gui/LogView.html" title="class in de.rowlo.tridchess.gui">LogView</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getLogView--">getLogView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>java.awt.Point</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getMouseDragPosition--">getMouseDragPosition</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getPinsList--">getPinsList</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getPinUnderMouseDrag--">getPinUnderMouseDrag</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">BoardView</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getView--">getView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getWhiteAttackedFiguresList--">getWhiteAttackedFiguresList</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getWhiteFiguresList--">getWhiteFiguresList</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#getWhiteKing--">getWhiteKing</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#isDragging--">isDragging</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#placeFigureOutOfGame-de.rowlo.tridchess.model.Figure-">placeFigureOutOfGame</a></span>(<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig)</code>
<div class="block">Marks a figure as out of game.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#processMouseDrag-java.awt.event.MouseEvent-">processMouseDrag</a></span>(java.awt.event.MouseEvent&nbsp;e)</code>
<div class="block">Process a mouse drag event on the BoardView.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#processMouseDragEnd-java.awt.event.MouseEvent-">processMouseDragEnd</a></span>(java.awt.event.MouseEvent&nbsp;e)</code>
<div class="block">Process end of a mouse drag event on the BoardView.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#processMouseDragStart-java.awt.event.MouseEvent-">processMouseDragStart</a></span>(java.awt.event.MouseEvent&nbsp;e)</code>
<div class="block">Process start of a mouse drag event on the BoardView.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#processMouseMotion-java.awt.event.MouseEvent-">processMouseMotion</a></span>(java.awt.event.MouseEvent&nbsp;e)</code>
<div class="block">Process a mouse motion event on the BoardView.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#recreateFieldsByName--">recreateFieldsByName</a></span>()</code>
<div class="block">Recreate fields by name mapping.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#refreshFiguresStates--">refreshFiguresStates</a></span>()</code>
<div class="block">For all figures needs to find the fields they can move onto, figures they
 can attack, and figures they cover.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#setBlackKing-de.rowlo.tridchess.model.Figure-">setBlackKing</a></span>(<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig)</code>&nbsp;</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#setDragging-boolean-">setDragging</a></span>(boolean&nbsp;dragging)</code>&nbsp;</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#setFieldUnderMouseDrag-de.rowlo.tridchess.model.Field-">setFieldUnderMouseDrag</a></span>(<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;fieldUnderMouseDrag)</code>&nbsp;</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#setLastFieldUnderMouse-de.rowlo.tridchess.model.Field-">setLastFieldUnderMouse</a></span>(<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;lastFieldUnderMouse)</code>&nbsp;</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#setLastPinUnderMouse-de.rowlo.tridchess.model.trid.Pin-">setLastPinUnderMouse</a></span>(<a href="../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a>&nbsp;lastPinUnderMouse)</code>&nbsp;</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#setMouseDragPosition-java.awt.Point-">setMouseDragPosition</a></span>(java.awt.Point&nbsp;mouseDragPosition)</code>&nbsp;</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#setPinUnderMouseDrag-de.rowlo.tridchess.model.trid.Pin-">setPinUnderMouseDrag</a></span>(<a href="../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a>&nbsp;pinUnderMouseDrag)</code>&nbsp;</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Board.html#setWhiteKing-de.rowlo.tridchess.model.Figure-">setWhiteKing</a></span>(<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="PAWN_WHITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PAWN_WHITE</h4>
<pre>public static final&nbsp;int PAWN_WHITE</pre>
<div class="block">Figure ID.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.model.Board.PAWN_WHITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CASTLE_WHITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CASTLE_WHITE</h4>
<pre>public static final&nbsp;int CASTLE_WHITE</pre>
<div class="block">Figure ID.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.model.Board.CASTLE_WHITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="KNIGHT_WHITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>KNIGHT_WHITE</h4>
<pre>public static final&nbsp;int KNIGHT_WHITE</pre>
<div class="block">Figure ID.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.model.Board.KNIGHT_WHITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BISHOP_WHITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BISHOP_WHITE</h4>
<pre>public static final&nbsp;int BISHOP_WHITE</pre>
<div class="block">Figure ID.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.model.Board.BISHOP_WHITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="QUEEN_WHITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUEEN_WHITE</h4>
<pre>public static final&nbsp;int QUEEN_WHITE</pre>
<div class="block">Figure ID.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.model.Board.QUEEN_WHITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="KING_WHITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>KING_WHITE</h4>
<pre>public static final&nbsp;int KING_WHITE</pre>
<div class="block">Figure ID.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.model.Board.KING_WHITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PAWN_BLACK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PAWN_BLACK</h4>
<pre>public static final&nbsp;int PAWN_BLACK</pre>
<div class="block">Figure ID.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.model.Board.PAWN_BLACK">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CASTLE_BLACK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CASTLE_BLACK</h4>
<pre>public static final&nbsp;int CASTLE_BLACK</pre>
<div class="block">Figure ID.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.model.Board.CASTLE_BLACK">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="KNIGHT_BLACK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>KNIGHT_BLACK</h4>
<pre>public static final&nbsp;int KNIGHT_BLACK</pre>
<div class="block">Figure ID.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.model.Board.KNIGHT_BLACK">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BISHOP_BLACK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BISHOP_BLACK</h4>
<pre>public static final&nbsp;int BISHOP_BLACK</pre>
<div class="block">Figure ID.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.model.Board.BISHOP_BLACK">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="QUEEN_BLACK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUEEN_BLACK</h4>
<pre>public static final&nbsp;int QUEEN_BLACK</pre>
<div class="block">Figure ID.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.model.Board.QUEEN_BLACK">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="KING_BLACK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>KING_BLACK</h4>
<pre>public static final&nbsp;int KING_BLACK</pre>
<div class="block">Figure ID.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.model.Board.KING_BLACK">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="figureTypes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>figureTypes</h4>
<pre>public static final&nbsp;int[] figureTypes</pre>
<div class="block">Figure types as array.</div>
</li>
</ul>
<a name="figureImageFilenames">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>figureImageFilenames</h4>
<pre>public static final&nbsp;java.lang.String[] figureImageFilenames</pre>
<div class="block">Figure types' image file names.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Board--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Board</h4>
<pre>public&nbsp;Board()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="generalInit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generalInit</h4>
<pre>public&nbsp;void&nbsp;generalInit()</pre>
<div class="block">Must be invoked after the board's view received it's parent.</div>
</li>
</ul>
<a name="getLogView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLogView</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/gui/LogView.html" title="class in de.rowlo.tridchess.gui">LogView</a>&nbsp;getLogView()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>logView</dd>
</dl>
</li>
</ul>
<a name="getLogJComponent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLogJComponent</h4>
<pre>public&nbsp;javax.swing.JComponent&nbsp;getLogJComponent()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a JComponent containing the logView</dd>
</dl>
</li>
</ul>
<a name="getAttackedFiguresView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttackedFiguresView</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">FiguresListView</a>&nbsp;getAttackedFiguresView()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the attackedFiguresView</dd>
</dl>
</li>
</ul>
<a name="createBoardFigures--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBoardFigures</h4>
<pre>public abstract&nbsp;java.util.Map&lt;java.lang.String,java.lang.Object&gt;&nbsp;createBoardFigures()</pre>
<div class="block"><p>
 Creates a mapping of field names to figures for initial figure placement
 on normal chess boards. The extention ":n" specifies the vertical position
 of a field, which is not the same for all fields on Tri-D chess boards but
 is equal for all Fields on normal boards.
 </p>
 <p>
 The map contains also mappings from "attackboard.[white|black].[1|2]" to
 Pin names. Pin names are "QP1"-"QP6" and "KP1"-"KP6".
 </p>
 <p>
 Therefor the value Object may be an Integer or a String.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Map<String, Object>, e.g., "a8:0"-> CASTLE_BLACK or "z9:5"->
         CASTLE_BLACK</dd>
</dl>
</li>
</ul>
<a name="get3DName-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get3DName</h4>
<pre>public abstract&nbsp;java.lang.String&nbsp;get3DName(int[]&nbsp;xyz)</pre>
<div class="block">Returns a 3D Field name for the given board position.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xyz</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String, e.g. "a9:5" on a Tri-D board or "a8:0" on a regular board</dd>
</dl>
</li>
</ul>
<a name="get2DName-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get2DName</h4>
<pre>public abstract&nbsp;java.lang.String&nbsp;get2DName(int[]&nbsp;xy)</pre>
<div class="block">Returns a Field name for the given board position.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xy</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String, e.g. "a9" on a Tri-D board or "a8" on a regular board</dd>
</dl>
</li>
</ul>
<a name="clearEverything--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearEverything</h4>
<pre>public&nbsp;void&nbsp;clearEverything()</pre>
<div class="block">Clears all figure lists and fields from figures.</div>
</li>
</ul>
<a name="recreateFieldsByName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>recreateFieldsByName</h4>
<pre>public&nbsp;void&nbsp;recreateFieldsByName()</pre>
<div class="block">Recreate fields by name mapping. Clears the map and adds every field found
 in the field map again with it's current 3D name. Calling this method can
 be necessary after the position of the attack board fields have changed.</div>
</li>
</ul>
<a name="processMouseMotion-java.awt.event.MouseEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processMouseMotion</h4>
<pre>public abstract&nbsp;void&nbsp;processMouseMotion(java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">Process a mouse motion event on the BoardView. Triggers highlighting of
 fields and pins if the mouse cursor hovers over fields and pins.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>e</code> - MouseEvent</dd>
</dl>
</li>
</ul>
<a name="processMouseDrag-java.awt.event.MouseEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processMouseDrag</h4>
<pre>public abstract&nbsp;void&nbsp;processMouseDrag(java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">Process a mouse drag event on the BoardView. Triggers movement of figures
 and pins.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>e</code> - MouseEvent</dd>
</dl>
</li>
</ul>
<a name="processMouseDragStart-java.awt.event.MouseEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processMouseDragStart</h4>
<pre>public abstract&nbsp;void&nbsp;processMouseDragStart(java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">Process start of a mouse drag event on the BoardView. Triggers movement of
 figures and pins.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>e</code> - MouseEvent</dd>
</dl>
</li>
</ul>
<a name="processMouseDragEnd-java.awt.event.MouseEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processMouseDragEnd</h4>
<pre>public abstract&nbsp;void&nbsp;processMouseDragEnd(java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">Process end of a mouse drag event on the BoardView. Triggers movement of
 figures and pins.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>e</code> - MouseEvent</dd>
</dl>
</li>
</ul>
<a name="isDragging--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDragging</h4>
<pre>public&nbsp;boolean&nbsp;isDragging()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>dragging</dd>
</dl>
</li>
</ul>
<a name="setDragging-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDragging</h4>
<pre>public&nbsp;void&nbsp;setDragging(boolean&nbsp;dragging)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dragging</code> - Festzulegender dragging</dd>
</dl>
</li>
</ul>
<a name="getView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getView</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">BoardView</a>&nbsp;getView()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>view</dd>
</dl>
</li>
</ul>
<a name="getFieldsList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFieldsList</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;getFieldsList()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>fieldsList</dd>
</dl>
</li>
</ul>
<a name="getFieldsByName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFieldsByName</h4>
<pre>public&nbsp;java.util.Map&lt;java.lang.String,<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;getFieldsByName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>fieldsByName</dd>
</dl>
</li>
</ul>
<a name="getBlackFiguresList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlackFiguresList</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&gt;&nbsp;getBlackFiguresList()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>blackFiguresList ArrayList<Figure></dd>
</dl>
</li>
</ul>
<a name="getGridFields--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGridFields</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][]&nbsp;getGridFields()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>gridFields</dd>
</dl>
</li>
</ul>
<a name="getPinsList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPinsList</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a>&gt;&nbsp;getPinsList()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>pinsList ArrayList<Pin></dd>
</dl>
</li>
</ul>
<a name="getWhiteFiguresList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWhiteFiguresList</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&gt;&nbsp;getWhiteFiguresList()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whiteFiguresList ArrayList<Figure></dd>
</dl>
</li>
</ul>
<a name="getLastFieldUnderMouse--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLastFieldUnderMouse</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;getLastFieldUnderMouse()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>lastFieldUnderMouse</dd>
</dl>
</li>
</ul>
<a name="setLastFieldUnderMouse-de.rowlo.tridchess.model.Field-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLastFieldUnderMouse</h4>
<pre>public&nbsp;void&nbsp;setLastFieldUnderMouse(<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;lastFieldUnderMouse)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lastFieldUnderMouse</code> - Field</dd>
</dl>
</li>
</ul>
<a name="getLastPinUnderMouse--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLastPinUnderMouse</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a>&nbsp;getLastPinUnderMouse()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>lastPinUnderMouse</dd>
</dl>
</li>
</ul>
<a name="setLastPinUnderMouse-de.rowlo.tridchess.model.trid.Pin-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLastPinUnderMouse</h4>
<pre>public&nbsp;void&nbsp;setLastPinUnderMouse(<a href="../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a>&nbsp;lastPinUnderMouse)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lastPinUnderMouse</code> - Pin</dd>
</dl>
</li>
</ul>
<a name="getFieldUnderMouseDrag--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFieldUnderMouseDrag</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;getFieldUnderMouseDrag()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>fieldUnderMouseDrag</dd>
</dl>
</li>
</ul>
<a name="setFieldUnderMouseDrag-de.rowlo.tridchess.model.Field-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFieldUnderMouseDrag</h4>
<pre>public&nbsp;void&nbsp;setFieldUnderMouseDrag(<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;fieldUnderMouseDrag)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fieldUnderMouseDrag</code> - Field</dd>
</dl>
</li>
</ul>
<a name="getPinUnderMouseDrag--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPinUnderMouseDrag</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a>&nbsp;getPinUnderMouseDrag()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>pinUnderMouseDrag</dd>
</dl>
</li>
</ul>
<a name="setPinUnderMouseDrag-de.rowlo.tridchess.model.trid.Pin-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPinUnderMouseDrag</h4>
<pre>public&nbsp;void&nbsp;setPinUnderMouseDrag(<a href="../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a>&nbsp;pinUnderMouseDrag)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pinUnderMouseDrag</code> - Pin</dd>
</dl>
</li>
</ul>
<a name="getMouseDragPosition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMouseDragPosition</h4>
<pre>public&nbsp;java.awt.Point&nbsp;getMouseDragPosition()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>mouseDragPosition</dd>
</dl>
</li>
</ul>
<a name="setMouseDragPosition-java.awt.Point-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMouseDragPosition</h4>
<pre>public&nbsp;void&nbsp;setMouseDragPosition(java.awt.Point&nbsp;mouseDragPosition)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mouseDragPosition</code> - Point</dd>
</dl>
</li>
</ul>
<a name="getBlackAttackedFiguresList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlackAttackedFiguresList</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&gt;&nbsp;getBlackAttackedFiguresList()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>blackAttackedFiguresList</dd>
</dl>
</li>
</ul>
<a name="getWhiteAttackedFiguresList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWhiteAttackedFiguresList</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&gt;&nbsp;getWhiteAttackedFiguresList()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whiteAttackedFiguresList</dd>
</dl>
</li>
</ul>
<a name="placeFigureOutOfGame-de.rowlo.tridchess.model.Figure-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>placeFigureOutOfGame</h4>
<pre>public&nbsp;void&nbsp;placeFigureOutOfGame(<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig)</pre>
<div class="block">Marks a figure as out of game. It will not be shown on the board anymore.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fig</code> - Figure</dd>
</dl>
</li>
</ul>
<a name="getBlackKing--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlackKing</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;getBlackKing()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the blackKing Figure</dd>
</dl>
</li>
</ul>
<a name="getWhiteKing--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWhiteKing</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;getWhiteKing()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the whiteKing Figure</dd>
</dl>
</li>
</ul>
<a name="setBlackKing-de.rowlo.tridchess.model.Figure-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBlackKing</h4>
<pre>public&nbsp;void&nbsp;setBlackKing(<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fig</code> - the blackKing Figure</dd>
</dl>
</li>
</ul>
<a name="setWhiteKing-de.rowlo.tridchess.model.Figure-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWhiteKing</h4>
<pre>public&nbsp;void&nbsp;setWhiteKing(<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fig</code> - the whiteKing Figure</dd>
</dl>
</li>
</ul>
<a name="displayHelpMessageBox-javax.swing.JFrame-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>displayHelpMessageBox</h4>
<pre>public abstract&nbsp;void&nbsp;displayHelpMessageBox(javax.swing.JFrame&nbsp;frame)</pre>
<div class="block">Display a message box or something similar to provide help information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>frame</code> - parent JFrame</dd>
</dl>
</li>
</ul>
<a name="refreshFiguresStates--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>refreshFiguresStates</h4>
<pre>public abstract&nbsp;void&nbsp;refreshFiguresStates()</pre>
<div class="block">For all figures needs to find the fields they can move onto, figures they
 can attack, and figures they cover. Also collects fields where regular
 movement is blocked by other figures.<br>
 Marks kings being check or mate.</div>
</li>
</ul>
<a name="getFigureImageFilenames--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFigureImageFilenames</h4>
<pre>public static&nbsp;java.lang.String[]&nbsp;getFigureImageFilenames()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the figureImageFilenames</dd>
</dl>
</li>
</ul>
<a name="getFigureTypes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFigureTypes</h4>
<pre>public static&nbsp;int[]&nbsp;getFigureTypes()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the figureTypes</dd>
</dl>
</li>
</ul>
<a name="getGame--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getGame</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a>&nbsp;getGame()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the game</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Board.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/rowlo/tridchess/model/Board.html" target="_top">Frames</a></li>
<li><a href="Board.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
